| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# igraphic/image.h File Reference

Image interface. More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes
struct | iImage
| The iImage interface is used to work with image objects. More...
## Image format masks
We can request csImageLoader to load an image in several formats. The format we should use depends on what we want to do with the image; usually if we're going to use the image as a texture, the format we should use is determined by querying the 3D rasterizer for the preferred image format.
#define | CS_IMGFMT_ALPHA (0x00010000)
| Do we need alpha channel or not.
#define | CS_IMGFMT_ANY (CS_IMGFMT_MASK)
| Autodetect: use whatever format the file is in. Use ONLY for loading.
#define | CS_IMGFMT_INVALID (0x80000000)
| This flag indicates an invalid image format.
#define | CS_IMGFMT_MASK (0x0000ffff)
| The mask to separate the image format apart.
#define | CS_IMGFMT_NONE (0x00000000)
| We don't want the pixels at all, just (possibly) the alphamap.
#define | CS_IMGFMT_PALETTED8 (0x00000002)
| 8-bit indexed paletted image
#define | CS_IMGFMT_TRUECOLOR (0x00000001)
| Truecolor format (r/g/b/unused per each pixel).
## Enumerations
enum | csImageType { csimg2D = 0, csimg3D, csimgCube }
| Type of an image. More...

## Detailed Description

Image interface.

Definition in file image.h.